Nope; I can't find it in my IRC logs. Someone was talking about an upgrade to 8, and backups not being able to be read by newer versions, in a context that made it sound like they were talking about Z8 not being able to read email backups made by older versions.

Since my 5.x and 5->6 upgrades were made in-place, this was understandably concerning to me. I strongly suspect my server is running CentOS5/32, though, and I likely won't be able to upgrade without cross-grading the OS anyway, which triples (or worse) the necessary labor and time.